<?php
// deklarace verzi
$version="1.4.3";
$prev_version="1.4.2";

// v pripade potreby nacteme konfiguracni soubor a db layer
if ($_GET["mod"]=="update" OR $_GET["mod"]=="uninstall") {
require "config.php";
require "db_layer.php";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
<meta name="Author" content="Powered by K:CMS v<?php echo($version); ?>, (c) 2008 Stepan Matl, matl-soft.cz" />
<meta name="Robots" content="noindex, nofollow" />
<meta http-equiv="Content-language" content="cs" />
<meta http-equiv="Cache-control" content="public" />
<meta http-equiv="Content-type" content="application/xhtml+xml; charset=utf-8" />
<link rel="Stylesheet" href="./styles/admin.css" type="text/css" />
<title>K:CMS <?php echo($version); ?> - Instalace (Installation) / Aktualizace (Update)</title>
</head>
<body>
<script type="text/javascript">
/* <![CDATA[ */
function openWindow(link) {
  otevrit=window.open(link);
  return (typeof(otevrit)=='object')?true:false;
}
/* ]]> */
</script>

<div class="header">K:CMS <?php echo($version); ?></div>
<h1>Instalace (Installation) / Aktualizace (Update)</h1>

<div class="main">

<div class="left-column">

<div class="menu-title">Módy (Modes)</div>

<ul>
<li><a href="./index.php"><strong>Titulní stránka (Homepage)</strong></a></li>
<li><a href="./install.php">Úvod (Lead-in)</a></li>
<li><a href="./install.php?mod=install">Instalovat (Install)</a></li>
<li><a href="./install.php?mod=update">Aktualizovat (Update)</a></li>
<li><a href="./install.php?mod=uninstall">Odinstalovat (Uninstall)</a></li>
</ul>

<div class="menu-title">Nápověda (Help)</div>

<ul>
<li><a href="http://www.matl-soft.cz/k-cms/faq-nejcasteji-kladene-dotazy-a-tipy-pro-k-cms/">FAQ [CZ]</a></li>
<li><a href="http://www.matl-soft.cz/k-cms/vysel-k-cms-1-4-1/">Změny (Changelog) [CZ]</a></li>
</ul>

</div>

<div class="right-column">

<?php
if ($_GET["mod"]==""):
?>

<h2>Vítejte v K:CMS <?php echo($version); ?>...</h2>

<p>Toto je automatická instalace. Prosím, vyberte příslušný mód. Tlačítko <em>Instalovat</em> vytvoří zcela novou instalaci systému K:CMS. Budete potřebovat údaje pro připojení k databázovému serveru - <strong>adresu serveru</strong>, <strong>přihlašovací jméno</strong>, <strong>heslo</strong> a <strong>jméno databáze</strong>. Pokud neznáte jméno existující databáze, můžete vytvořit novou.</p>

<p>Tlačítko <em>Aktualizovat</em> provede aktualizaci stávající verze K:CMS na novější.</p>

<h3>Nakonec nezapomeňte SMAZAT tento soubor ze serveru!</h3>

<h2>Welcome to K:CMS <?php echo($version); ?>...</h2>

<p>This is automatic installation. Please, select the corresponding mode. The <em>Install</em> will create a new installation of K:CMS. For this action, you need connection data for connection to the database server - <strong>server address</strong>, <strong>login name</strong>, <strong>password</strong> and <strong>database name</strong>. If you don't know the name of existing database, you can create new one.</p>

<p>The <em>Update</em> button will update the current version of K:CMS to newer.</p>

<h3>Finally, don't forget to DELETE this file from the server!</h3>

<?php
endif;
if ($_GET["mod"]=="install"):

// instalujeme...
if ($_POST["submit"]!="") {

// výběr databáze
if ($_POST["db_type"]=="mysql") {

if ($_POST["db_server"]!="" AND $_POST["db_login"]!="" AND $_POST["db_password"]!="" AND $_POST["db_name"]!="") {

// zkusíme se připojit
@$dbserver=mysql_connect($_POST["db_server"], $_POST["db_login"], $_POST["db_password"]);
// pokud se nepovede
if (!$dbserver) {  echo "<div class=\"popup-error\">Špatné přihlašovací údaje!<br />Bad login data!</div>"; } else {

if ($_POST["db_new"]==1) {
@$create_db=mysql_query("CREATE DATABASE ".$_POST["db_name"]." DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;", $dbserver);
@$select_db=mysql_select_db($_POST["db_name"], $dbserver);
if (!$create_db) {  echo "<div class=\"popup-error\">Při instalaci došlo k chybě!<br />An error occured while installing!</div>"; } else { $ok=1; }
}

if ($_POST["db_new"]==0) {
@$select_db=mysql_select_db($_POST["db_name"], $dbserver);
if (!$select_db) {  echo "<div class=\"popup-error\">Neexistující databáze!<br />Not existing database!</div>"; } else { $ok=1; }
}

if ($ok==1) {

mysql_query("SET CHARACTER SET utf8");

$sql1=mysql_query("CREATE TABLE kcms_articles (
  id int(11) NOT NULL auto_increment,
  quick varchar(160) NOT NULL,
  title varchar(128) NOT NULL,
  type int(1) NOT NULL,
  hp int(1) NOT NULL,
  complete int(1) NOT NULL,
  confirmed int(1) NOT NULL,
  discussion int(1) NOT NULL,
  section int(3) NOT NULL,
  perex text,
  text text,
  added int(11) NOT NULL,
  published int(11) NOT NULL,
  author int(11) NOT NULL,
  publisher int(11) NOT NULL,
  edited int(11) NOT NULL,
  pereximg varchar(128) NOT NULL,
  views int(11) NOT NULL,
  top int(1) NOT NULL,
  PRIMARY KEY (id),
  FULLTEXT KEY title (title),
  FULLTEXT KEY text (text),
  FULLTEXT KEY perex (perex)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql2=mysql_query("CREATE TABLE kcms_comments (
  id int(11) NOT NULL auto_increment,
  article int(11) NOT NULL,
  added int(11) default NULL,
  author varchar(128) NOT NULL,
  text text NOT NULL,
  confirmed int(1) NOT NULL,
  user int(1) NOT NULL,
  ip varchar(32) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql13=mysql_query("CREATE TABLE kcms_files (
  id int(11) NOT NULL auto_increment,
  file varchar(128) NOT NULL,
  added int(11) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql3=mysql_query("CREATE TABLE kcms_images (
  id int(11) NOT NULL auto_increment,
  section int(11) NOT NULL,
  file varchar(128) NOT NULL,
  added int(11) NOT NULL,
  title varchar(128),
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql4=mysql_query("CREATE TABLE kcms_images_sections (
  id int(11) NOT NULL auto_increment,
  quick varchar(160) NOT NULL,
  name varchar(128) NOT NULL,
  public int(1) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);
 
$sql14=mysql_query("CREATE TABLE kcms_polls (
  id int(11) NOT NULL auto_increment,
  name varchar(128) NOT NULL,
  visible int(1) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);
 
$sql15=mysql_query("CREATE TABLE kcms_polls_data (
  id int(11) NOT NULL auto_increment,
  poll int(11) NOT NULL,
  answer varchar(128) NOT NULL,
  votes int(11) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql5=mysql_query("CREATE TABLE kcms_sections (
  id int(11) NOT NULL auto_increment,
  quick varchar(160) NOT NULL,
  name varchar(128) NOT NULL,
  highlight int(1) NOT NULL,
  outlink text NOT NULL,
  ntbl int(1) NOT NULL,
  position int(3) NOT NULL,
  hidden int(1) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql6=mysql_query("CREATE TABLE kcms_users (
  id int(11) NOT NULL auto_increment,
  login varchar(128) NOT NULL,
  password varchar(128) NOT NULL,
  rights int(1) NOT NULL,
  age varchar(3) default NULL,
  jabber varchar(128) NOT NULL,
  skype varchar(128) NOT NULL,
  about text NOT NULL,
  mail varchar(128) NOT NULL,
  realname varchar(128) NOT NULL,
  regdate int(11) NOT NULL,
  lastvisit int(11) NOT NULL,
  PRIMARY KEY (id)
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql7=mysql_query("CREATE TABLE kcms_variables (
  variable varchar(64) default NULL,
  value text
 ) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci", $dbserver);

$sql8=mysql_query("INSERT INTO kcms_users values ('', 'admin', '".SHA1("admin")."', '3', '', '', '', '', '', '', '".time()."', '')", $dbserver);

$sql10=mysql_query("INSERT INTO kcms_variables values ('lang', '".$_POST["selected_language"]."')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('sitename', 'Website')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('login_for_comments', '0')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('show_text', '0')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('sort_sections_by_name', '0')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('articles_number', '10')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('left_column', '')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('right_column', '')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('meta_copyright', 'Copyright')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('meta_keywords', '')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('meta_desc', '')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('version', '$version')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('theme', 'kcms_default')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('show_news_box', '1')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('show_promo_box', '1')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('news_box_items', '5')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('promo_box_items', '5')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('show_infolane', '1')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('show_sitename', '1')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('header_wallpaper', '')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('header_wallpaper_height', '')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('url_type', '".$_POST["url_type"]."')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('use_formater', '1')", $dbserver);
$sql10=mysql_query("INSERT INTO kcms_variables values ('use_emoticons', '1')", $dbserver);

$sql11=mysql_query("INSERT INTO kcms_sections (quick, name, position) values ('test', 'Test', 1)", $dbserver);

$sql12=mysql_query("INSERT INTO kcms_articles values ('', 'test', 'Test', '1', '1', '1', '1', '1', '1', '', '<p>Test article / testovací článek.</p>', '".time()."', '".time()."', '1', '1', '', '', '', '')", $dbserver);

$config=fopen("config.php", "w+");
$data="<?php
\$DB_HOST=mysql_connect(\"".$_POST["db_server"]."\", \"".$_POST["db_login"]."\", \"".$_POST["db_password"]."\");
\$db_name=\"".$_POST["db_name"]."\";
mysql_select_db(\"\$db_name\", \$DB_HOST);
mysql_query(\"SET CHARACTER SET utf8\");
\$DB_TYPE=\"mysql\";
?".">";
fwrite($config, $data);
fclose($config);

if ($sql1 AND $sql2 AND $sql3 AND $sql4 AND $sql5 AND $sql6 AND $sql7 AND $sql8 AND $sql10 AND $sql11 AND $sql12 AND $sql13 AND $sql14 AND $sql15) {
echo "<div class=\"popup-success\">Instalace byla úspěšně dokočena!<br />Installation was successfully completed.</div>";
} else {
echo "<div class=\"popup-error\">Při instalaci došlo k chybě!<br />An error occured while installing!</div>";
}

}

}
} else { echo "<div class=\"popup-error\">Chyba, musíte vyplnit zvýrazněná pole!<br />Error, you must fill highlighted inputs!</div>"; }
}

if ($_POST["db_type"]=="sqlite") {

// založíme / otevřene databázi
$sqlite_db=sqlite_open("sqlite.db");

if (!$sqlite_db) {
echo "<div class=\"popup-error\">Při instalaci došlo k chybě!<br />An error occured while installing!</div>";
} else {

$sql1=sqlite_query($sqlite_db, "CREATE TABLE kcms_articles (
  id INTEGER PRIMARY KEY NOT NULL,
  quick varchar(160) NOT NULL,
  title varchar(128) NOT NULL,
  type INTEGER NOT NULL,
  hp INTEGER NOT NULL DEFAULT '0',
  complete INTEGER NOT NULL DEFAULT '0',
  confirmed INTEGER NOT NULL DEFAULT '0',
  discussion INTEGER NOT NULL DEFAULT '0',
  section INTEGER NOT NULL,
  perex text,
  text text,
  added INTEGER NOT NULL,
  published INTEGER NOT NULL DEFAULT '0',
  author INTEGER NOT NULL,
  publisher INTEGER NOT NULL DEFAULT '0',
  edited INTEGER NOT NULL DEFAULT '0',
  pereximg varchar(128) NOT NULL,
  views INTEGER NOT NULL DEFAULT '0',
  top int(1) NOT NULL DEFAULT '0')");

$sql2=sqlite_query($sqlite_db, "CREATE TABLE kcms_comments (
  id INTEGER PRIMARY KEY NOT NULL,
  article INTEGER NOT NULL,
  added INTEGER default NULL,
  author varchar(128) NOT NULL,
  text text NOT NULL,
  confirmed int(1) NOT NULL DEFAULT '0',
  user int(1) NOT NULL DEFAULT '0',
  ip varchar(32) NOT NULL)");

$sql13=sqlite_query($sqlite_db, "CREATE TABLE kcms_files (
  id INTEGER PRIMARY KEY NOT NULL,
  file varchar(128) NOT NULL,
  added INTEGER NOT NULL)");

$sql3=sqlite_query($sqlite_db, "CREATE TABLE kcms_images (
  id INTEGER PRIMARY KEY NOT NULL,
  section INTEGER NOT NULL,
  file varchar(128) NOT NULL,
  added INTEGER NOT NULL,
  title varchar(128))");

$sql4=sqlite_query($sqlite_db, "CREATE TABLE kcms_images_sections (
  id INTEGER PRIMARY KEY NOT NULL,
  quick varchar(160) NOT NULL,
  name varchar(128) NOT NULL,
  public int(1) NOT NULL DEFAULT '0')");

$sql14=sqlite_query($sqlite_db, "CREATE TABLE kcms_polls (
  id INTEGER PRIMARY KEY NOT NULL,
  name varchar(128) NOT NULL,
  visible int(1) NOT NULL DEFAULT '0')");

$sql15=sqlite_query($sqlite_db, "CREATE TABLE kcms_polls_data (
  id INTEGER PRIMARY KEY NOT NULL,
  poll INTEGER NOT NULL,
  answer varchar(128) NOT NULL,
  votes INTEGER NOT NULL DEFAULT '0')");

$sql5=sqlite_query($sqlite_db, "CREATE TABLE kcms_sections (
  id INTEGER PRIMARY KEY NOT NULL,
  quick varchar(160) NOT NULL,
  name varchar(128) NOT NULL,
  highlight int(1) NOT NULL DEFAULT '0',
  outlink text,
  ntbl int(1) NOT NULL DEFAULT '0',
  position int(3) NOT NULL DEFAULT '0',
  hidden int(1) NOT NULL DEFAULT '0')");

$sql6=sqlite_query($sqlite_db, "CREATE TABLE kcms_users (
  id INTEGER PRIMARY KEY NOT NULL,
  login varchar(128) NOT NULL,
  password varchar(128) NOT NULL,
  rights int(1) NOT NULL DEFAULT '0',
  age varchar(3) default NULL,
  jabber varchar(128),
  skype varchar(128),
  about text,
  mail varchar(128),
  realname varchar(128),
  regdate INTEGER NOT NULL DEFAULT '0',
  lastvisit INTEGER NOT NULL DEFAULT '0')");

$sql7=sqlite_query($sqlite_db, "CREATE TABLE kcms_variables (
  variable varchar(64) default NULL,
  value text)");

$sql8=sqlite_query($sqlite_db, "INSERT INTO kcms_users (login, password, rights, regdate) values ('admin', '".SHA1("admin")."', 3, ".time().")");

$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('lang', '".$_POST["selected_language"]."')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('sitename', 'Website')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('login_for_comments', '0')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('show_text', '0')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('sort_sections_by_name', '0')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('articles_number', '10')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('left_column', '')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('right_column', '')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('meta_copyright', 'Copyright')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('meta_keywords', '')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('meta_desc', '')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('version', '$version')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('theme', 'kcms_default')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('show_news_box', '1')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('show_promo_box', '1')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('news_box_items', '5')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('promo_box_items', '5')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('show_infolane', '1')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('show_sitename', '1')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('header_wallpaper', '')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('header_wallpaper_height', '')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('url_type', '".$_POST["url_type"]."')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('use_formater', '1')");
$sql10=sqlite_query($sqlite_db, "INSERT INTO kcms_variables (variable, value) values ('use_emoticons', '1')");

$sql11=sqlite_query($sqlite_db, "INSERT INTO kcms_sections (quick, name, position) values ('test', 'Test', 1)");

$sql12=sqlite_query($sqlite_db, "INSERT INTO kcms_articles (quick, title, type, hp, complete, confirmed, discussion, section, perex, text, added, published, author, publisher, edited, pereximg) values ('test', 'Test', 1, 1, 1, 1, 1, 1, '', '<p>Test article / testovací článek.</p>', '".time()."', '".time()."', 1, 1, 1, '')");

$config=fopen("config.php", "w+");
$data="<?php
\$DB_HOST=sqlite_open(\"sqlite.db\");
\$DB_TYPE=\"sqlite\";
?".">";
fwrite($config, $data);
fclose($config);

if ($sql1 AND $sql2 AND $sql3 AND $sql4 AND $sql5 AND $sql6 AND $sql7 AND $sql8 AND $sql10 AND $sql11 AND $sql12 AND $sql13 AND $sql14 AND $sql15) {
echo "<div class=\"popup-success\">Instalace byla úspěšně dokočena!<br />Installation was successfully completed.</div>";
} else {
echo "<div class=\"popup-error\">Při instalaci došlo k chybě!<br />An error occured while installing!</div>";
}

}

}
}
?>

<h2>Instalace (Installation)</h2>

<script type="text/javascript">
/* <![CDATA[ */
function db_options(what) {
if (what=='mysql') document.getElementById('options').style.display='block';
if (what=='sqlite') document.getElementById('options').style.display='none';
}
/* ]]> */
</script>

<form action="./install.php?mod=install" method="post">

<div><strong>Typ databáze (Database type):</strong><br />
<select name="db_type" style="width: 150px;" onchange="db_options(options[this.selectedIndex].value);">
<option value="mysql"<?php if ($_POST["submit"]!="" AND $_POST["db_type"]=="mysql") { echo " selected=\"selected\""; } ?>>MySQL</option>
<option value="sqlite"<?php if ($_POST["submit"]!="" AND $_POST["db_type"]=="sqlite") { echo " selected=\"selected\""; } ?>>SQLite</option>
</select><br />
<span id="options"<?php if ($_POST["db_type"]=="sqlite") { echo " style=\"display: none;\""; } ?>>
<strong>Databázový server (Database server):</strong><br />
<input type="text" name="db_server" style="width: 200px;" value="<?php echo($_POST["db_server"]); ?>"<?php if ($_POST["submit"]!="" AND $_POST["db_server"]=="") { echo " class=\"input-error\""; } ?> /><br />
<strong>Přihlašovací jméno (Login name):</strong><br />
<input type="text" name="db_login" style="width: 200px;" value="<?php echo($_POST["db_login"]); ?>"<?php if ($_POST["submit"]!="" AND $_POST["db_login"]=="") { echo " class=\"input-error\""; } ?> /><br />
<strong>Heslo (Password):</strong><br />
<input type="text" name="db_password" style="width: 200px;" value="<?php echo($_POST["db_password"]); ?>"<?php if ($_POST["submit"]!="" AND $_POST["db_password"]=="") { echo " class=\"input-error\""; } ?> /><br />
<strong>Jméno databáze (Database name):</strong><br />
<input type="text" name="db_name" style="width: 200px;" value="<?php echo($_POST["db_name"]); ?>"<?php if ($_POST["submit"]!="" AND $_POST["db_name"]=="") { echo " class=\"input-error\""; } ?> /><br />
<input type="radio" name="db_new" value="0"<?php if ($_POST["db_new"]!=1) { echo " checked=\"checked\""; } ?> /> Použít existující databázi (Use existing database)<br />
<input type="radio" name="db_new" value="1"<?php if ($_POST["db_new"]==1) { echo " checked=\"checked\""; } ?> /> Vytvořit novou databázi (Create new database)</span></div>

<div><strong>Jazyk systému (System language):</strong><br />
<select name="selected_language" style="width: 100px;">
<?php
$dir=opendir("./languages/");
while ($file=readdir($dir)){
$file=explode(".", $file);
$lang_name=strtoupper($file[0]);
if ($lang_name!="") {
echo ("<option value=\"".$file[0]."\"");
if ($file[0]==$_POST["selected_language"]) { echo " selected=\"selected\""; }
echo ">$lang_name</option>\n";
}
}
?>
</select><br />
<strong>Typ URL adres (URL type):</strong><br />
<input type="radio" name="url_type" value="static"<?php if ($_POST["url_type"]!="dynamic") { echo " checked=\"checked\""; } ?> /> Statické - doporučeno (Static - recommended)<br />
<input type="radio" name="url_type" value="dynamic"<?php if ($_POST["url_type"]=="dynamic") { echo " checked=\"checked\""; } ?> /> Dynamické (Dynamic)
</div>

<div><input type="submit" name="submit" value="Instalovat (Install)" /></div>

</form>

<?php
endif;
if ($_GET["mod"]=="update"):

// aktualizujeme...
if ($_POST["submit"]!="") {

$sql1=db_query("UPDATE kcms_variables SET value='$version' WHERE variable='version'");

if ($sql1) {
echo "<div class=\"popup-success\">Aktualizace byla úspěšně dokočena!<br />Update was successfully completed.</div>";
} else {
echo "<div class=\"popup-error\">Při aktualizaci došlo k chybě!<br />An error occured while updating!</div>";
}

}

$old_version=db_query("SELECT value FROM kcms_variables WHERE variable='version'");
$old_version=db_fetch_array($old_version);
?>

<h2>Aktualizace (Update) K:CMS <?php echo($prev_version); ?> &rarr; <?php echo($version); ?></h2>

<form action="./install.php?mod=update" method="post">

<div><strong>Ověření verzí (Check versions):</strong><br />
Aktuálně nainstalovaná verze (currently installed version): <strong><?php echo($old_version["value"]); ?></strong><br />
Požadovaná verze (requested version): <strong><?php echo($prev_version); ?></strong></div>

<div class="a-center"><strong><?php if ($old_version["value"]==$prev_version) { echo "Můžete aktualizovat. (You can update.)"; } else { echo "Aktualizace této verze není možná! (You can't update this version!)"; } ?></strong></div>

<?php if ($old_version["value"]==$prev_version): ?><div><input type="submit" name="submit" value="Aktualizovat (Update)" /></div><?php endif; ?>

</form>

<?php
endif;
if ($_GET["mod"]=="uninstall"):

// mažeme...
if ($_POST["submit"]!="") {

if ($_POST["opt"]==1) {
$sql=mysql_query("DROP DATABASE test;", $DB_HOST);
}

if ($_POST["opt"]==2) {
$sql=mysql_query("DROP TABLE kcms_articles, kcms_comments, kcms_files, kcms_images, kcms_images_sections, kcms_polls, kcms_polls_data, kcms_sections, kcms_users, kcms_variables;", $DB_HOST);
}

if ($sql) {
echo "<div class=\"popup-success\">K:CMS byl úspěšně smazán!<br />K:CMS was successfully deleted!</div>";
} else {
echo "<div class=\"popup-error\">Při odinstalaci došlo k chybě!<br />An error occured while unistalling!</div>";
}

}
?>

<h2>Odinstalace (Uninstallation)</h2>

<form action="./install.php?mod=uninstall" method="post">

<div><strong>Možnosti (Options):</strong><br />
<input type="radio" name="opt" value="1"<?php if ($_POST["opt"]!=2) { echo "checked=\"checked\""; } ?> /> Smazat celou databázi - pouze pro MySQL (Completely delete database - only for MySQL)<br />
<input type="radio" name="opt" value="2"<?php if ($_POST["opt"]==2) { echo "checked=\"checked\""; } ?> /> Smazat pouze tabulky, zachovat databázi - pouze pro MySQL (Delete tables only, keep database - only for MySQL)</div>

<div><input type="submit" name="submit" value="Odinstalovat (Uninstall)" onclick="if (!confirm('Jste si jistí? (Are you sure?)')) return false;" /></div>

</form>

<?php
endif;
?>

</div>

<div class="cb"><!-- --></div>

</div>

<p class="footer"><?php echo "Powered by <a href=\"http://www.matl-soft.cz/k-cms/\">K:CMS</a> v$version, &copy; 2008 Stepan Matl."; ?></p>
</body>
</html>